Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.version
Class BuildVersion

    java.lang.Object
      org.pentaho.di.version.BuildVersion

    public class BuildVersion

extends Object

Singleton class to allow us to see on which date & time the kettle3.jar was built.

Since:
  2006-aug-12
Author:
  Matt

Field Summary
`static String` | `REFERENCE_FILE`

Method Summary
`String` | `getBuildDate()`
`String` | `getBuildUser()`
`static BuildVersion` | `getInstance()`
`String` | `getRevision()`
`String` | `getVersion()`
`void` | `setBuildDate(String buildDate)`
`void` | `setBuildUser(String buildUser)`
`void` | `setRevision(String revision)`
`void` | `setVersion(String version)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFERENCE_FILE

    public static final String REFERENCE_FILE

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static final BuildVersion getInstance()

  Returns:
    the instance of the BuildVersion singleton

### getBuildDate

    public String getBuildDate()

  Returns:
    the buildDate

### setBuildDate

    public void setBuildDate(String buildDate)

  Parameters:
    `buildDate` - the buildDate to set

### getVersion

    public String getVersion()

  Returns:
    the version

### setVersion

    public void setVersion(String version)

  Parameters:
    `revision` - the version to set

### getRevision

    public String getRevision()

  Returns:
    the revision

### setRevision

    public void setRevision(String revision)

  Parameters:
    `revision` - the revision to set

### getBuildUser

    public String getBuildUser()

  Returns:
    the buildUser

### setBuildUser

    public void setBuildUser(String buildUser)

  Parameters:
    `buildUser` - the buildUser to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD